import React from 'react';

import Person from './person.component.jsx';

/*
* props.persons is an Array, here we assume with at least two elements
* Here a list of components is built, but no "key" property is provided => /!\ pb, see console
*/
const PersonListing = ({ persons , delay }) => {
      const personComponents = persons.map(person => <Person 
                                                         {...person}
                                                         key={person.id} 
                                                         delay = { delay }
                                                      />);
      return (
         <div>
            People getting older every <span class="highlight">{delay}</span> seconds
            {personComponents}
         </div>
      );
   }
export default PersonListing;
